lkml.org 
[lkml]   [2015]   [Mar]   [29]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 62/86] staging/comedi: use uapi/linux/pci_ids.h directly
On 29/03/15 14:42, Michael S. Tsirkin wrote:
> Header moved from linux/pci_ids.h to uapi/linux/pci_ids.h,
> use the new header directly so we can drop
> the wrapper in include/linux/pci_ids.h.
>
> Signed-off-by: Michael S. Tsirkin <mst@redhat.com>
> ---
> drivers/staging/comedi/comedidev.h | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/drivers/staging/comedi/comedidev.h b/drivers/staging/comedi/comedidev.h
> index e138eb0..1c3ac0b 100644
> --- a/drivers/staging/comedi/comedidev.h
> +++ b/drivers/staging/comedi/comedidev.h
> @@ -556,7 +556,7 @@ void comedi_driver_unregister(struct comedi_driver *);
> /* comedi_pci.c - comedi PCI driver specific functions */
>
> /*
> - * PCI Vendor IDs not in <linux/pci_ids.h>
> + * PCI Vendor IDs not in <uapi/linux/pci_ids.h>
> */
> #define PCI_VENDOR_ID_KOLTER 0x1001
> #define PCI_VENDOR_ID_ICP 0x104c
>

Hi Michael,

I don't understand why you need to change this and lots of other source
code just to move a header into uapi when it hasn't been necessary for
other headers that have been moved into uapi. Surely kernel code can
still use #include <linux/pci_ids.h> even though the header file is
located at "include/uapi/linux/pci_ids.h"?

Also, this patch doesn't apply to the latest linux-next.

--
-=( Ian Abbott @ MEV Ltd. E-mail: <abbotti@mev.co.uk> )=-
-=( Web: http://www.mev.co.uk/ )=-


\
 
 \ /
  Last update: 2015-03-29 20:01    [W:0.484 / U:0.180 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site